Skip to main content
Server path: /circleci-admin | Type: Application | PCID required: Yes

Tools

ToolDescription
circleci_admin_create_organizationCreate a new organization
circleci_admin_create_organization_groupCreate Groups
circleci_admin_create_otel_exporter🧪 Create an OTLP exporter
circleci_admin_create_policy_bundleCreates policy bundle for the context
circleci_admin_create_urlorb_allow_list_entryCreate a new URL Orb allow-list entry
circleci_admin_create_webhookCreate an outbound webhook
circleci_admin_delete_groupDelete a group
circleci_admin_delete_org_claimsDelete org-level claims
circleci_admin_delete_organizationDelete an organization
circleci_admin_delete_otel_exporter🧪 Delete an OTLP exporter
circleci_admin_delete_project_claimsDelete project-level claims
circleci_admin_delete_webhookDelete an outbound webhook
circleci_admin_get_collaborationsCollaborations
circleci_admin_get_current_userUser Information
circleci_admin_get_decision_logRetrieves the owner’s decision audit log by given decisionID
circleci_admin_get_decision_log_policy_bundleRetrieves Policy Bundle for a given decision log ID
circleci_admin_get_decision_logsRetrieves the owner’s decision audit logs.
circleci_admin_get_decision_settingsGet the decision settings
circleci_admin_get_groupA group in an organization
circleci_admin_get_org_claimsGet org-level claims
circleci_admin_get_organizationGet an organization
circleci_admin_get_organization_groupsGroups in an organization
circleci_admin_get_policy_bundleRetrieves Policy Bundle
circleci_admin_get_policy_documentRetrieves a policy document
circleci_admin_get_project_claimsGet project-level claims
circleci_admin_get_userUser Information
circleci_admin_get_webhook_by_idGet a webhook
circleci_admin_get_webhooksList webhooks
circleci_admin_list_otel_exporters🧪 List OTLP exporters
circleci_admin_list_urlorb_allow_list_entriesList the entries in the org’s URL Orb allow-list
circleci_admin_make_decisionMakes a decision
circleci_admin_patch_org_claimsPatch org-level claims
circleci_admin_patch_project_claimsPatch project-level claims
circleci_admin_remove_urlorb_allow_list_entryRemove an entry from the org’s URL orb allow-list
circleci_admin_set_decision_settingsSet the decision settings
circleci_admin_update_webhookUpdate an outbound webhook

circleci_admin_create_organization

Create a new organization Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the organization.
vcs_typestringYesThe version control system type for the organization.

circleci_admin_create_organization_group

Create Groups Parameters:
ParameterTypeRequiredDefaultDescription
org_idstringYesAn opaque identifier of an organization.
descriptionstringNoDescription to describe the group
namestringYesName of the group

circleci_admin_create_otel_exporter

🧪 Create an OTLP exporter Parameters:
ParameterTypeRequiredDefaultDescription
endpointstringYesThe OTLP endpoint to send spans to. Don’t include https:// or grpc://. Just the hostname and port are required.
headersobjectNoAdditional headers to include in export requests.
insecurebooleanNoWhether to use an insecure connection to the endpoint.
org_idstringYesThe organization ID to create the exporter for.
protocolstringYesThe OTLP transport to use when exporting data.

circleci_admin_create_policy_bundle

Creates policy bundle for the context Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value
drybooleanNoThe dry value
policiesobjectNoThe policies value

circleci_admin_create_urlorb_allow_list_entry

Create a new URL Orb allow-list entry Parameters:
ParameterTypeRequiredDefaultDescription
org-slug-or-idstringYesOrg UUID or slug in the form vcs-slug/org-name. For projects that use GitLab or GitHub App, use circleci as the vcs-slug and replace the org-name with the organization ID (found in Organization Settings).
authstringYesAn authentication method to use for fetching URL orb references that match this allow-list entry’s prefix. Allowed values are “bitbucket-oauth”, “github-oauth”, “github-app”, or “none”.
namestringYesName of the URL orb allow-list entry.
prefixobjectYesURL prefix. URL orb references that start with this prefix will be allowed by this allow-list entry.

circleci_admin_create_webhook

Create an outbound webhook Parameters:
ParameterTypeRequiredDefaultDescription
eventsstring[]YesEvents that will trigger the webhook
namestringYesName of the webhook
scopeobjectYesThe scope in which the relevant events that will trigger webhooks
signing-secretstringYesSecret used to build an HMAC hash of the payload and passed as a header in the webhook request
urlstringYesURL to deliver the webhook to. Note: protocol must be included as well (only https is supported)
verify-tlsbooleanYesWhether to enforce TLS certificate verification when delivering the webhook

circleci_admin_delete_group

Delete a group Parameters:
ParameterTypeRequiredDefaultDescription
org_idstringYesAn opaque identifier of an organization.
group_idstringYesAn opaque identifier of a group.

circleci_admin_delete_org_claims

Delete org-level claims Parameters:
ParameterTypeRequiredDefaultDescription
orgIDstringYesOrg ID
claimsstringYescomma separated list of claims to delete. Valid values are “audience” and “ttl”.

circleci_admin_delete_organization

Delete an organization Parameters:
ParameterTypeRequiredDefaultDescription
org-slug-or-idstringYesOrg UUID or slug in the form vcs-slug/org-name. For projects that use GitLab or GitHub App, use circleci as the vcs-slug and replace the org-name with the organization ID (found in Organization Settings).

circleci_admin_delete_otel_exporter

🧪 Delete an OTLP exporter Parameters:
ParameterTypeRequiredDefaultDescription
otel_exporter_idstringYesThe ID of an OTLP exporter configuration.

circleci_admin_delete_project_claims

Delete project-level claims Parameters:
ParameterTypeRequiredDefaultDescription
orgIDstringYesOrg ID
projectIDstringYesProject ID
claimsstringYescomma separated list of claims to delete. Valid values are “audience” and “ttl”.

circleci_admin_delete_webhook

Delete an outbound webhook Parameters:
ParameterTypeRequiredDefaultDescription
webhook-idstringYesID of the webhook (UUID)

circleci_admin_get_collaborations

Collaborations

circleci_admin_get_current_user

User Information

circleci_admin_get_decision_log

Retrieves the owner’s decision audit log by given decisionID Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value
decisionIDstringYesDecision ID

circleci_admin_get_decision_log_policy_bundle

Retrieves Policy Bundle for a given decision log ID Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value
decisionIDstringYesDecision ID

circleci_admin_get_decision_logs

Retrieves the owner’s decision audit logs. Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value
statusstringNoReturn decisions matching this decision status.
afterstringNoReturn decisions made after this date.
beforestringNoReturn decisions made before this date.
branchstringNoReturn decisions made on this branch.
project_idstringNoReturn decisions made for this project.
build_numberstringNoReturn decisions made for this build number.
offsetintegerNoSets the offset when retrieving the decisions, for paging.

circleci_admin_get_decision_settings

Get the decision settings Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value

circleci_admin_get_group

A group in an organization Parameters:
ParameterTypeRequiredDefaultDescription
org_idstringYesAn opaque identifier of an organization.
group_idstringYesAn opaque identifier of a group.

circleci_admin_get_org_claims

Get org-level claims Parameters:
ParameterTypeRequiredDefaultDescription
orgIDstringYesOrg ID

circleci_admin_get_organization

Get an organization Parameters:
ParameterTypeRequiredDefaultDescription
org-slug-or-idstringYesOrg UUID or slug in the form vcs-slug/org-name. For projects that use GitLab or GitHub App, use circleci as the vcs-slug and replace the org-name with the organization ID (found in Organization Settings).

circleci_admin_get_organization_groups

Groups in an organization Parameters:
ParameterTypeRequiredDefaultDescription
org_idstringYesAn opaque identifier of an organization.
limitintegerNoThe number of results per page.
page-tokenstringNoA token to specify which page of results to fetch.

circleci_admin_get_policy_bundle

Retrieves Policy Bundle Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value

circleci_admin_get_policy_document

Retrieves a policy document Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value
policyNamestringYesthe policy name set by the rego policy_name rule

circleci_admin_get_project_claims

Get project-level claims Parameters:
ParameterTypeRequiredDefaultDescription
orgIDstringYesOrg ID
projectIDstringYesProject ID

circleci_admin_get_user

User Information Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique ID of the user.

circleci_admin_get_webhook_by_id

Get a webhook Parameters:
ParameterTypeRequiredDefaultDescription
webhook-idstringYesID of the webhook (UUID)

circleci_admin_get_webhooks

List webhooks Parameters:
ParameterTypeRequiredDefaultDescription
scope-idstringYesID of the scope being used (at the moment, only project ID is supported)
scope-typestringYesType of the scope being used

circleci_admin_list_otel_exporters

🧪 List OTLP exporters Parameters:
ParameterTypeRequiredDefaultDescription
org-idstringYesAn opaque identifier of an organization used in query parameters.

circleci_admin_list_urlorb_allow_list_entries

List the entries in the org’s URL Orb allow-list Parameters:
ParameterTypeRequiredDefaultDescription
org-slug-or-idstringYesOrg UUID or slug in the form vcs-slug/org-name. For projects that use GitLab or GitHub App, use circleci as the vcs-slug and replace the org-name with the organization ID (found in Organization Settings).

circleci_admin_make_decision

Makes a decision Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value
inputstringYesThe input value
metadataobjectNoThe metadata value

circleci_admin_patch_org_claims

Patch org-level claims Parameters:
ParameterTypeRequiredDefaultDescription
orgIDstringYesOrg ID
audiencestring[]NoThe audience value
ttlstringNoThe ttl value

circleci_admin_patch_project_claims

Patch project-level claims Parameters:
ParameterTypeRequiredDefaultDescription
orgIDstringYesOrg ID
projectIDstringYesProject ID
audiencestring[]NoThe audience value
ttlstringNoThe ttl value

circleci_admin_remove_urlorb_allow_list_entry

Remove an entry from the org’s URL orb allow-list Parameters:
ParameterTypeRequiredDefaultDescription
org-slug-or-idstringYesOrg UUID or slug in the form vcs-slug/org-name. For projects that use GitLab or GitHub App, use circleci as the vcs-slug and replace the org-name with the organization ID (found in Organization Settings).
allow-list-entry-idstringYesURL orb allow-list entry UUID.

circleci_admin_set_decision_settings

Set the decision settings Parameters:
ParameterTypeRequiredDefaultDescription
ownerIDstringYesOwner ID
contextstringYesThe context value
enabledbooleanNoThe enabled value

circleci_admin_update_webhook

Update an outbound webhook Parameters:
ParameterTypeRequiredDefaultDescription
webhook-idstringYesID of the webhook (UUID)
eventsstring[]NoEvents that will trigger the webhook
namestringNoName of the webhook
signing-secretstringNoSecret used to build an HMAC hash of the payload and passed as a header in the webhook request
urlstringNoURL to deliver the webhook to. Note: protocol must be included as well (only https is supported)
verify-tlsbooleanNoWhether to enforce TLS certificate verification when delivering the webhook